nn.pp.rccore

## Interface MouseModeListener

- All Known Implementing Classes:
    RCAdapter

      public interface MouseModeListener

  Event handlers for several mouse mode settings
  See Also:
    `RCCore.addMouseModeListener(MouseModeListener, int)`, `RCCore.removeMouseModeListener(MouseModeListener)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL` All registration bits
    `static int` | `MOUSE_MODES` Registration bit for mouse modes related events
    `static int` | `MOUSE_SYNC` Registration bit for mouse sync related events
    `static int` | `SINGLE_CURSOR` Registration bit for single mouse cursor mode related events

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseModeChanged(RCCore.MouseMode mode)` The current mouse mode has changed
    `void` | `mouseModeChangeSupportChanged(boolean supported)` The support for changing the mouse mode has changed
    `void` | `mouseSyncSupportChanged(boolean supported)` Support for mouse synchronization has changed
    `void` | `singleCursorModeChanged(boolean single)` Single cursor mode setting has changed
    `void` | `singleCursorModeReallyActiveChanged(boolean active)` The state whether the Single Mouse Mode is really active has changed.
    `void` | `singleCursorModeSupportChanged(boolean supported)` Support for Single Cursor Mode has changed
    `void` | `supportedMouseModesChanged(java.util.List<RCCore.MouseMode> modes)` The supported mouse modes for the target port have changed

- - ### Field Detail

    - #### MOUSE_MODES

          static final int MOUSE_MODES

      Registration bit for mouse modes related events
      See Also:
        Constant Field Values

    - #### SINGLE_CURSOR

          static final int SINGLE_CURSOR

      Registration bit for single mouse cursor mode related events
      See Also:
        Constant Field Values

    - #### MOUSE_SYNC

          static final int MOUSE_SYNC

      Registration bit for mouse sync related events
      See Also:
        Constant Field Values

    - #### ALL

          static final int ALL

      All registration bits
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### mouseModeChangeSupportChanged

          void mouseModeChangeSupportChanged(boolean supported)

      The support for changing the mouse mode has changed

      This event is sent when registered with the `MOUSE_MODES` event mask.

      Parameters:
        `supported` - true if changing the mouse modes is supported, false otherwise
      See Also:
        `RCCore.isMouseModeChangeSupported()`

    - #### supportedMouseModesChanged

          void supportedMouseModesChanged(java.util.List<RCCore.MouseMode> modes)

      The supported mouse modes for the target port have changed

      This event is sent when registered with the `MOUSE_MODES` event mask.

      Parameters:
        `modes` - the mouse modes which are supported
      See Also:
        `RCCore.getSupportedMouseModes()`

    - #### mouseModeChanged

          void mouseModeChanged(RCCore.MouseMode mode)

      The current mouse mode has changed

      This event is sent when registered with the `MOUSE_MODES` event mask.

      Parameters:
        `mode` - the new mouse mode
      See Also:
        `RCCore.getMouseMode()`

    - #### singleCursorModeSupportChanged

          void singleCursorModeSupportChanged(boolean supported)

      Support for Single Cursor Mode has changed

      This event is sent when registered with the `SINGLE_CURSOR` event mask.

      Parameters:
        `supported` - true if Single Cursor Mode is supported, false otherwise
      See Also:
        `RCCore.isSingleCursorModeSupported()`

    - #### singleCursorModeChanged

          void singleCursorModeChanged(boolean single)

      Single cursor mode setting has changed

      This event is sent when registered with the `SINGLE_CURSOR` event mask.

      Parameters:
        `single` - true if single cursor mode is active, false otherwise
      See Also:
        `RCCore.isSingleCursorMode()`

    - #### mouseSyncSupportChanged

          void mouseSyncSupportChanged(boolean supported)

      Support for mouse synchronization has changed

      This event is sent when registered with the `MOUSE_SYNC` event mask.

      Parameters:
        `supported` - true if mouse synchronization is supported, false otherwise
      See Also:
        `RCCore.isMouseSyncSupported()`

    - #### singleCursorModeReallyActiveChanged

          void singleCursorModeReallyActiveChanged(boolean active)

      The state whether the Single Mouse Mode is really active has changed. In case the Single Mouse Mode is set, but it is temporarily left, then it changes to not-active.
      Parameters:
        `active` - true if the single mouse mode changed to be really active, false otherwise
      See Also:
        `RCCore.isSingleCursorModeReallyActive()`

Copyright © 2025 Raritan Inc. All Rights Reserved.